## gate.util
Class CorpusSaver

    java.lang.Object
      |
      +--gate.util.CorpusSaver

public class CorpusSaver
extends Object

Field Summary
`private AnnotationDeletePR` `annotDeletePR`
`private String` `annotSetName`
`private File` `currDir`
`private static boolean` `DEBUG`
`private DataStore` `ds`
`private String` `dsPath`
`private DefaultGazetteer` `gazetteer`
`private OrthoMatcher` `orthomatcher`
`private boolean` `processMode`
`private AnnotationSetTransfer` `setTransfer`
`private SentenceSplitter` `splitter`
`private File` `startDir` The directory from which we should generate/evaluate the corpus
`private POSTagger` `tagger`
`private Corpus` `theCorpus`
`private DefaultTokeniser` `tokeniser`
`private ANNIETransducer` `transducer`

Constructor Summary
`CorpusSaver()`

Method Summary
`void` `execute()`
`void` `execute(File dir)`
`void` `init()`
`void` `initPRs()`
`static void` `main(String[] args)`
`protected void` `processDocument(Document doc)`
`protected void` `saveFiles(List files)`
`void` `setDSPath(String path)`
`void` `setProcessMode(boolean mode)`
`void` `setStartDir(File newDir)`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### DEBUG

    private static final boolean DEBUG

### startDir

    private File startDir

  The directory from which we should generate/evaluate the corpus

### currDir

    private File currDir

### ds

    private DataStore ds

### theCorpus

    private Corpus theCorpus

### annotSetName

    private String annotSetName

### dsPath

    private String dsPath

### tokeniser

    private DefaultTokeniser tokeniser

### gazetteer

    private DefaultGazetteer gazetteer

### splitter

    private SentenceSplitter splitter

### tagger

    private POSTagger tagger

### transducer

    private ANNIETransducer transducer

### orthomatcher

    private OrthoMatcher orthomatcher

### setTransfer

    private AnnotationSetTransfer setTransfer

### annotDeletePR

    private AnnotationDeletePR annotDeletePR

### processMode

    private boolean processMode

Constructor Detail

### CorpusSaver

    public CorpusSaver()

Method Detail

### init

    public void init()

### initPRs

    public void initPRs()

### execute

    public void execute()

### execute

    public void execute(File dir)

### main

    public static void main(String[] args)
                     throws GateException

### setStartDir

    public void setStartDir(File newDir)

### setProcessMode

    public void setProcessMode(boolean mode)

### setDSPath

    public void setDSPath(String path)

### saveFiles

    protected void saveFiles(List files)

### processDocument

    protected void processDocument(Document doc)